Module org.firebirdsql.jaybird
Package org.firebirdsql.jaybird.fb.constants

# Class BatchItems

java.lang.Object
org.firebirdsql.jaybird.fb.constants.BatchItems

public final class BatchItems extends Object
Constants for batch items and values (batch config, blob policy and information items).

Since:
  5
Author:
  Mark Rotteveel

- ## Field Summary

  Fields
  Modifier and Type
  Field
  Description
  `static final int`
  `BATCH_EXECUTE_FAILED`
  `static final int`
  `BATCH_SUCCESS_NO_INFO`
  `static final int`
  `BATCH_VERSION_1`
  `static final int`
  `BLOB_ID_ENGINE`
  `static final int`
  `BLOB_ID_USER`
  `static final int`
  `BLOB_NONE`
  `static final int`
  `BLOB_SEGHDR_ALIGN`
  `static final int`
  `BLOB_STREAM`
  `static final int`
  `INF_BLOB_ALIGNMENT`
  `static final int`
  `INF_BLOB_HEADER`
  `static final int`
  `INF_BLOBS_BYTES_SIZE`
  `static final int`
  `INF_BUFFER_BYTES_SIZE`
  `static final int`
  `INF_DATA_BYTES_SIZE`
  `static final int`
  `TAG_BLOB_POLICY`
  `static final int`
  `TAG_BUFFER_BYTES_SIZE`
  `static final int`
  `TAG_DETAILED_ERRORS`
  `static final int`
  `TAG_MULTIERROR`
  `static final int`
  `TAG_RECORD_COUNTS`

- ## Method Summary

  ### Methods inherited from class java.lang.Object

  `clone, equals, finalize, getClass, hashCode, notify, notifyAll, toString, wait, wait, wait`

- ## Field Details

  - ### BATCH_VERSION_1

    public static final int BATCH_VERSION_1
    See Also:
      - Constant Field Values

  - ### TAG_MULTIERROR

    public static final int TAG_MULTIERROR
    See Also:
      - Constant Field Values

  - ### TAG_RECORD_COUNTS

    public static final int TAG_RECORD_COUNTS
    See Also:
      - Constant Field Values

  - ### TAG_BUFFER_BYTES_SIZE

    public static final int TAG_BUFFER_BYTES_SIZE
    See Also:
      - Constant Field Values

  - ### TAG_BLOB_POLICY

    public static final int TAG_BLOB_POLICY
    See Also:
      - Constant Field Values

  - ### TAG_DETAILED_ERRORS

    public static final int TAG_DETAILED_ERRORS
    See Also:
      - Constant Field Values

  - ### INF_BUFFER_BYTES_SIZE

    public static final int INF_BUFFER_BYTES_SIZE
    See Also:
      - Constant Field Values

  - ### INF_DATA_BYTES_SIZE

    public static final int INF_DATA_BYTES_SIZE
    See Also:
      - Constant Field Values

  - ### INF_BLOBS_BYTES_SIZE

    public static final int INF_BLOBS_BYTES_SIZE
    See Also:
      - Constant Field Values

  - ### INF_BLOB_ALIGNMENT

    public static final int INF_BLOB_ALIGNMENT
    See Also:
      - Constant Field Values

  - ### INF_BLOB_HEADER

    public static final int INF_BLOB_HEADER
    See Also:
      - Constant Field Values

  - ### BLOB_NONE

    public static final int BLOB_NONE
    See Also:
      - Constant Field Values

  - ### BLOB_ID_ENGINE

    public static final int BLOB_ID_ENGINE
    See Also:
      - Constant Field Values

  - ### BLOB_ID_USER

    public static final int BLOB_ID_USER
    See Also:
      - Constant Field Values

  - ### BLOB_STREAM

    public static final int BLOB_STREAM
    See Also:
      - Constant Field Values

  - ### BLOB_SEGHDR_ALIGN

    public static final int BLOB_SEGHDR_ALIGN
    See Also:
      - Constant Field Values

  - ### BATCH_EXECUTE_FAILED

    public static final int BATCH_EXECUTE_FAILED
    See Also:
      - Constant Field Values

  - ### BATCH_SUCCESS_NO_INFO

    public static final int BATCH_SUCCESS_NO_INFO
    See Also:
      - Constant Field Values